Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.logging
Class StandardOutputLogging.LoggingPrintStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  org.gradle.api.logging.StandardOutputLogging.LoggingPrintStream

    class StandardOutputLogging.LoggingPrintStream
    extends java.io.PrintStream

Constructor Summary
`StandardOutputLogging.LoggingPrintStream(StandardOutputLoggingAdapter out)`

Method Summary
`StandardOutputLoggingAdapter` | `getStandardOutputLoggingAdapter()`
`void` | `setStandardOutputLoggingAdapter(StandardOutputLoggingAdapter standardOutputLoggingAdapter)`

Methods inherited from class java.io.PrintStream
println, println, println, println, println, println, println, println, println, println, append, append, append, append, append, append, format, format, write, write, print, print, print, print, print, print, print, print, print, flush, close, checkError, printf, printf, write, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.io.FilterOutputStream
write, write, write, flush, close, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.io.OutputStream
write, write, write, flush, close, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### StandardOutputLogging.LoggingPrintStream

    public StandardOutputLogging.LoggingPrintStream(StandardOutputLoggingAdapter out)

Method Detail

### getStandardOutputLoggingAdapter

    public StandardOutputLoggingAdapter getStandardOutputLoggingAdapter()

### setStandardOutputLoggingAdapter

    public void setStandardOutputLoggingAdapter(StandardOutputLoggingAdapter standardOutputLoggingAdapter)

Groovy Documentation